Subject: Re: 1000MB (GMII) ports on IBM 440GX (ocotea)

From: Eugene Surovegin <[email-masked]>
Date: Sat, 12 Feb 2005 15:11:09 -0800

On Fri, Feb 11, 2005 at 01:55:01PM +0000, emre kara wrote:
> I have problems on ppc440gx ( IBM 440gx evaluatation
> board)  gigabit ethernet ports.
> I have configurated and compiled linux kernel version
> 2.4.29 (latest) for ocotea board and it worked fine
> with two MII /Fast Ethernet ports,but i can't find any
> way to configure GMII (gigabit) ethernet driver for
> other on chip two gigabit ports, in the platform
> specific file (arch/ppc/platforms/ocotea.c) the source
> configures only two fast ethernet ports.
> I have also loaded Montavista's preview kernel on my
> board and in this kernel,  four ethernet ports worked
> fine, but there are huge differences between two
> kernels so I can't find a way to overcome this
> problem.
> Is anyone have an idea for the solution?

There is an experimental PPC4xx NAPI EMAC driver, which has 440GX 
support (GigE, TAH, scatter-gather, jumbo) for 2.4.30-pre1 (2.6 
version will follow shortly).

Patch can be found at http://kernel.ebshome.net/.

Please, note, full 440GX support is newly added feature and therefore 
don't consider it stable yet. I'm in process of testing it. So, use 
it at your own risk.

--
Eugene